Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.runtime
Interface PCData

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  DataCachePCData, PCDataGenerator.DynamicPCData

All Known Implementing Classes:
  AbstractPCData

public interface PCData
extends Serializable

Holds data about a single persistence capable instance. This interface is used in the caching framework, and may also be used by simple store manager back-ends to hold persistent state.

Method Summary
`Object` | `getData(int i)` Return the data stored in the given field index.
`Object` | `getId()` Return the id of this instance.
`Object` | `getImplData()` Returns the instance-level impl data, or null if none.
`Class` | `getType()` Return the type of this instance.
`Object` | `getVersion()` Returns the current version object that this data was loaded from.
`boolean` | `isLoaded(int i)` Whether the given field index has stored data.
`void` | `load(KodoStateManager sm, BitSet fields, FetchConfiguration fetch, Object context)` Loads some or all of the marked fields from the cache into the given state manager.
`void` | `load(KodoStateManager sm, FetchConfiguration fetch, Object context)` Loads all fields that are currently stored in the cache into the given state manager.
`void` | `setImplData(Object val)` Sets the stored instance-level impl data.
`void` | `setVersion(Object version)` Sets the current version object that this data was loaded from.
`void` | `store(KodoStateManager sm)` Store all loaded fields of the state manager.
`void` | `store(KodoStateManager sm, BitSet fields)` Store the given fields from the state manager.

Method Detail

### getId

    public Object getId()

  Return the id of this instance.

### getType

    public Class getType()

  Return the type of this instance.

### getImplData

    public Object getImplData()

  Returns the instance-level impl data, or null if none.

### setImplData

    public void setImplData(Object val)

  Sets the stored instance-level impl data.

### getVersion

    public Object getVersion()

  Returns the current version object that this data was loaded from.

### setVersion

    public void setVersion(Object version)

  Sets the current version object that this data was loaded from.

### load

    public void load(KodoStateManager sm,
                     FetchConfiguration fetch,
                     Object context)

  Loads all fields that are currently stored in the cache into the given state manager.
  Parameters:
    `sm` - the state manager to load
    `fetch` - the fetch configuration to use for loading related objects
    `context` - current context information

### load

    public void load(KodoStateManager sm,
                     BitSet fields,
                     FetchConfiguration fetch,
                     Object context)

  Loads some or all of the marked fields from the cache into the given state manager.
  Parameters:
    `sm` - the state manager to load
    `fields` - the fields to load; clear the bits for the fields that are successfully loaded
    `fetch` - the fetch configuration to use for loading related objects
    `context` - current context information

### store

    public void store(KodoStateManager sm)

  Store all loaded fields of the state manager.

### store

    public void store(KodoStateManager sm,
                      BitSet fields)

  Store the given fields from the state manager.

### getData

    public Object getData(int i)

  Return the data stored in the given field index.

### isLoaded

    public boolean isLoaded(int i)

  Whether the given field index has stored data.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.